summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/easystroke/README14
-rw-r--r--accessibility/easystroke/doinst.sh10
-rw-r--r--accessibility/easystroke/easystroke.SlackBuild71
-rw-r--r--accessibility/easystroke/easystroke.info8
-rw-r--r--accessibility/easystroke/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/accessibility/easystroke/README b/accessibility/easystroke/README
new file mode 100644
index 0000000000..e9a4cf5372
--- /dev/null
+++ b/accessibility/easystroke/README
@@ -0,0 +1,14 @@
+Easystroke is a gesture-recognition application for X11.
+
+Gestures or strokes are movements that you make with you mouse (or your pen,
+finger etc.) while holding down a specific mouse button. Easystroke will
+execute certain actions if it recognizes the stroke; currently easystroke
+can emulate key presses, execute shell commands, hold down modifiers and
+emulate a scroll wheel.
+
+The program was designed with Tablet PCs in mind and can be used effectively
+even without access to a keyboard. Easystroke tries to provide an intuitive
+and efficient user interface while being highly configurable and offering
+many advanced features.
+
+This requires help2man, boost, and gtkmm.
diff --git a/accessibility/easystroke/doinst.sh b/accessibility/easystroke/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/accessibility/easystroke/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/accessibility/easystroke/easystroke.SlackBuild b/accessibility/easystroke/easystroke.SlackBuild
new file mode 100644
index 0000000000..0dc4c7c638
--- /dev/null
+++ b/accessibility/easystroke/easystroke.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for easystroke
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=easystroke
+VERSION=${VERSION:-0.4.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# USE the predefined ARCH SLKCFLAGS. Add StartupNotify to desktop menu item.
+sed -i "/^CXXFLAGS/s|-Wall|-Wall ${SLKCFLAGS}|" Makefile
+echo "StartupNotify=false" >> $PRGNAM.desktop.in
+
+make man install PREFIX=/usr DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+gzip -9c $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changelog LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/accessibility/easystroke/easystroke.info b/accessibility/easystroke/easystroke.info
new file mode 100644
index 0000000000..dcf43d0ae3
--- /dev/null
+++ b/accessibility/easystroke/easystroke.info
@@ -0,0 +1,8 @@
+PRGNAM="easystroke"
+VERSION="0.4.5"
+HOMEPAGE="http://easystroke.wiki.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/easystroke/easystroke-0.4.5.tar.gz"
+MD5SUM="b08baf1f51d969d9ce55519977b3c466"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/accessibility/easystroke/slack-desc b/accessibility/easystroke/slack-desc
new file mode 100644
index 0000000000..ef14012403
--- /dev/null
+++ b/accessibility/easystroke/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+easystroke: easystroke
+easystroke:
+easystroke: Easystroke is a gesture-recognition application for X11. Gestures or
+easystroke: strokes are movements that you make with you mouse (or your pen,
+easystroke: finger etc.) while holding down a specific mouse button.
+easystroke:
+easystroke: Homepage: http://easystroke.wiki.sourceforge.net/
+easystroke:
+easystroke:
+easystroke:
+easystroke: